50228
3.21
-1 
 1 
 11 
 12 
 0 
 2066 
 640 
 480 
 15 
 15 
 0 
 2655 
 3225 
 6105 
 4365 
 0 
 0 
 0 
 0 
BEGIN_TEXT
LabWindows/CVI is a visual development environment for building virtual instrumentation systems based on ANSI C programming language.  With LabWindows/CVI, you can take full advantage of your instrumentation hardware, your computer or workstation, and the C language when you build data acquisition and instrumentation systems.

LabWindows/CVI has many of the same development tools that you have seen in standard C programming environments.  However, the development tools in LabWindows/CVI are designed specifically for scientists and engineers building virtual instruments.  Therefore, you find built-in hardware control libraries, dedicated user interface tools for creating software instrument panels, and an easy-to-use interactive, BASIC-like C programming environment in LabWindows/CVI.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
Introduction to LabWindows/CVI
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 1 
 2655 
 3225 
 5610 
 3150 
 0 
 0 
 0 
 0 
BEGIN_TEXT
LabWindows/CVI is an open development system.  You are free to use any ANSI C source code, object modules, libraries, dynamic-link-libraries (DLLs), instrument drivers, and user interface files for building your projects.  The LabWindows/CVI development environment lets you easily integrate these different components when you build systems.  The LabWindows/CVI Project Window keeps track of the differing file types that you add to your projects.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
An Open Development System
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 2 
 4155 
 2820 
 5835 
 3075 
 0 
 0 
 0 
 0 
BEGIN_TEXT
LabWindows/CVI has an interactive user interface editor for building GUIs.  You are not required to do any "graphics programming" with LabWindows/CVI -- you simply build your GUIs in this intuitive drag-and-drop editor.  As you can see, the graphical objects available are designed for displaying technical data for scientific or engineering experiments or tests.  Thanks to the LabWindows/CVI User Interface Editor and libraries, you don't need to be an expert in low-level Windows programming to build systems quickly and easily.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
User Interface Design
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 3 
 2145 
 3420 
 5250 
 2145 
 0 
 0 
 0 
 0 
BEGIN_TEXT
After you add controls to your GUI, you can customize them to fit your requirements.  For each control type, you can specify appearance, range, precision, and label attributes in these easy-to-use dialog boxes.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
User Interface Design
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 4 
 2655 
 3225 
 5490 
 2910 
 0 
 0 
 0 
 0 
BEGIN_TEXT
After you complete your GUI, you can use CodeBuilder to automatically generate your source code program shell.  With CodeBuilder, you simply select a menu option to generate an entire program shell for your GUI.  You can then use the LabWindows/CVI source editor and code-generation utilities to customize the shell to complete your application.  With CodeBuilder, you can convert your prototypes into completed programs more easily than you ever thought possible.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
Automatic Program Generation
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 5 
 2655 
 3225 
 5655 
 2250 
 0 
 0 
 0 
 0 
BEGIN_TEXT
LabWindows/CVI has a built-in source editor, compiler, linker, and debugger to help you build programs.  You are free to enter ANSI C compatible source code in this environment; the built-in LabWindows/CVI 32-bit ANSI C compiler can handle it.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
The Source Window
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 6 
 2655 
 3225 
 5475 
 2160 
 0 
 0 
 0 
 0 
BEGIN_TEXT
The LabWindows/CVI environment is optimized for building programs quickly under Windows or Solaris.  The compiling, linking, and debugging tools are completely integrated into the editor for fast, easy program development.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
The Compiler
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 7 
 2655 
 3225 
 5490 
 2685 
 0 
 0 
 0 
 0 
BEGIN_TEXT
Although the LabWindows/CVI environment is easy to use, it does not limit your development power or flexibility.  LabWindows/CVI has most of the same debugging tools for stepping through source code, viewing variable values, and adding watch points that you would find in professional programming environments.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
The Debugger
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 8 
 2655 
 3225 
 5670 
 3000 
 0 
 0 
 0 
 0 
BEGIN_TEXT
LabWindows/CVI has a library of more than 500 instrument drivers that can save you hours or days of development time.  Instrument drivers are custom libraries for controlling specific GPIB, VXI, or serial-controlled instruments.  With an instrument driver, you are no longer required to program your instruments with cryptic command strings or register calls.  Instead, you can use high-level, intuitive functions to configure your device or make measurements with your instruments.

Click on the arrow key to continue this introduction.
!
BEGIN_TEXT

!
Instrument Drivers
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 9 
 2655 
 3225 
 6120 
 2640 
 0 
 0 
 0 
 0 
BEGIN_TEXT
In addition to the custom instrument libraries, LabWindows/CVI has built-in libraries for acquiring, analyzing, and presenting your data for data acquisition and instrument control applications.  Because the libraries are built into the programming environment, you can control instruments and acquire data quickly and easily without worrying about a lot of configuration or integration issues.

Click on the arrow to continue this introduction.
!
BEGIN_TEXT

!
Built-in Instrumentation Libraries
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 0 

 10 
 2265 
 3300 
 6240 
 3960 
 0 
 0 
 0 
 0 
BEGIN_TEXT
Every library function in LabWindows/CVI has a code-generation tool called a function panel.  Function panels write source code for you.  You simply enter values in the function panel controls, and the source code for that function call is built for you at the bottom of the window. In addition, you can interactively execute the function once you have specified the parameter values.  This interactive execution feature is key for instrumentation developers -- you can experiment with your instruments or plug-in boards to ensure that they are installed correctly before you begin writing your programs.  Function panels not only speed your source code development, they give LabWindows/CVI an interactive look and feel, similar to simple, interpreted BASIC environments, without sacrificing the speed and flexibility of compiled ANSI C.  For many instrumentation system developers, this is an unbeatable combination for developing systems quickly.

Click on the arrow button to complete this module.
!
BEGIN_TEXT

!
Function Panels
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 255 
 0 
 0 
 0 
 0 
 0 
 0 
 255 
 255 
 255 
 0 

 0 


 0 
 0 

 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 
 0 

 0 
 0 
 0 
 0 
 8 
 8 

~~
~~
-1 
 0 
 0 
 0 
 0 
 3 
 3 
-1 
 0 
 0 
 0 
INTROCVI.AVI
 1 

 0 
 141 
 242 
 91 
 57 
 67 
 146 
 325 
 236 
 220 
 120 
 140 
 251 
 224 
 151 
 203 
 83 
 240 
 31 
 300 
 25 
 152 
 252 
 207 
 317 
INTROCVI.AVI
 11 
 0 
 0 
 641 
 481 
 0 
 1 
 0 
 120 
 224 
 160 
 258 
 0 
 1 
 2 
 70 
 39 
 110 
 73 
 0 
 1 
 1 
 46 
 128 
 86 
 162 
 0 
 1 
 2 
 304 
 218 
 344 
 252 
 0 
 1 
 1 
 199 
 102 
 239 
 136 
 0 
 1 
 0 
 119 
 233 
 159 
 267 
 0 
 1 
 2 
 203 
 133 
 243 
 167 
 0 
 1 
 2 
 182 
 65 
 222 
 99 
 0 
 1 
 2 
 219 
 13 
 259 
 47 
 0 
 1 
 2 
 279 
 7 
 319 
 41 
 0 
 1 
 0 
 131 
 234 
 171 
 268 
 0 
 1 
 0 
 186 
 299 
 226 
 333 
-1 
 1 
SYSTEM
 10 
 0 
 0 
 0 
 0 
